> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Seller

> Soft-deletes a franchise seller mapping.

Soft-deletes a franchise seller mapping and all associated payment method data.

<Warning>
  **Important**

  This action cannot be undone. Future payments referencing this seller will fall back to the connection's default `merchant_id`.
</Warning>


## OpenAPI

````yaml openapi/sellers/sellers-api.json DELETE /sellers/{merchant_seller_id}
openapi: 3.1.0
info:
  title: Sellers (Franchise) API
  description: >-
    The Sellers API allows franchise merchants to register per-provider seller
    identities so the correct `merchant_id` is automatically resolved at payment
    time.
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production
security: []
paths:
  /sellers/{merchant_seller_id}:
    parameters:
      - name: merchant_seller_id
        in: path
        required: true
        schema:
          type: string
      - name: public-api-key
        in: header
        required: true
        schema:
          type: string
      - name: private-secret-key
        in: header
        required: true
        schema:
          type: string
    delete:
      tags:
        - Sellers
      summary: Delete Seller
      description: Soft-deletes a franchise seller mapping.
      operationId: delete-seller
      responses:
        '204':
          description: No Content
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
              message:
                type: string

````